Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1053162 - RFE: show repo id when querying repos
Summary: RFE: show repo id when querying repos
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-14 19:07 UTC by Zing
Modified: 2014-11-20 13:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-20 11:44:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Zing 2014-01-14 19:07:52 UTC
I'd like to request to somehow show the repo id either with or replacing the current repo name shown.

This might be a bit bikesheddy, but I believe the repo id is more useful than showing the repo name.

1. It's useful to me because I keep multiple .repo files that point to different "mirrors" on my lan and during a "dnf update", I can immediately see which repoid it's going (which I can't now because all my repo names are the same which, grant it, I could change).

2. My understanding is that repoids must be unique and is "enforced", so this helps when trying to grep /etc/yum.repos.d/*.repo config files when you know the repoid (as a sysadmin inspect unknown configs).

3. The current output is a change from "yum makecache/update" output.  Yum does show the repoid in its output.

Thanks for your attention.

Comment 1 Zing 2014-01-14 19:10:44 UTC
For comparison, here is yum's update/makecache output vs dnf:

# yum update
Loaded plugins: changelog
my-base                                                  | 3.8 kB     00:00     
my-updates                                               | 4.6 kB     00:00     
my-updates/20/x86_64/primary_db                          | 6.3 MB   00:00     
(1/2): nysa-updates/20/x86_64/updateinfo                 | 524 kB   00:00     
(2/2): nysa-updates/20/x86_64/pkgtags                    | 765 kB   00:00     
Resolving Dependencies

# yum makecache
Loaded plugins: changelog
nysa-base                                                | 3.8 kB     00:00     
nysa-updates                                             | 4.6 kB     00:00     
(1/4): my-updates/20/x86_64/prestodelta                  | 1.2 MB   00:00     
(2/4): my-updates/20/x86_64/other_db                     | 3.6 MB   00:01     
(3/4): my-updates/20/x86_64/filelists_db                 | 8.2 MB   00:02     
(4/4): my-base/20/x86_64/filelists_db                    |  27 MB   00:03     
Metadata Cache Created

# dnf update
Fedora 20 - x86_64 - Updates                     11 MB/s |  12 MB     00:01    
Fedora 20 - x86_64                               10 MB/s |  36 MB     00:03    
Resolving dependencies
--> Starting dependency resolution

# dnf makecache
Fedora 20 - x86_64 - Updates                     10 MB/s |  12 MB     00:01    
Fedora 20 - x86_64                               10 MB/s |  36 MB     00:03    
Metadata Cache Created

Comment 2 Zing 2014-01-14 19:12:25 UTC
Ignore the mistakes of trying to obscure nysa->my in above comment.

Comment 3 Radek Holy 2014-01-15 07:45:25 UTC
Hello, thank you for the report. We will take a look at it.

Comment 4 Honza Silhan 2014-11-20 11:44:03 UTC
If you can change roponames by yourself then we can close this. Zing, if you another relevant usecase, feel free to reopen.

Comment 5 Jan Zeleny 2014-11-20 13:58:53 UTC
I would just like to clarify that this bug was closed because in the described use case it's possible to change names to correspond with repo IDs. Therefore the enhancement would be only cosmetic with no deeper implications.

When it comes to difference from yum output, it is perceived as an improvement over the old way because it gives users greater flexibility and by default also better readability.


Note You need to log in before you can comment on or make changes to this bug.